DELETE
/notebooks/{notebook_id}/vpc_ips/{reserve_ip_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/vpc_ips/{reserve_ip_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/vpc_ips/{reserve_ip_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/vpc_ips/{reserve_ip_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”notebook_id
required
integer
reserve_ip_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
location
string
Example
DelhiFilter by location
active_iam
integer
Example
6706Active IAM ID
Responses
Section titled “Responses”VPC IP detached successfully
Media typeapplication/json
object
code
integer
data
string
errors
object
message
string
Example
{ "code": 200, "data": "VPC IP detach action scheduled successfully.", "errors": {}, "message": "Success"}